Subject: Re: [PATCH v4] commit-graph: pass repo_settings instead of repository

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Jul 2022 15:48:30 -0700

Josh Steadmon <[email-masked]> writes:

> From: Taylor Blau <[email-masked]>
>
> The parse_commit_graph() function takes a 'struct repository *' pointer,
> but it only ever accesses config settings (either directly or through
> the .settings field of the repo struct). Move all relevant config
> settings into the repo_settings struct, and update parse_commit_graph()
> and its existing callers so that it takes 'struct repo_settings *'
> instead.

Sounds good.  Will queue.

I think this is ready to be merged down to 'next' by now?

Thanks.